Subject: bug#75146: closed (Re: [bug#75146] [PATCH v0 00/15] XFCE: Move source from generated archive to git.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 01 Jan 2025 09:14:02 +0000

Your bug report

#75146: [PATCH v0 00/15] XFCE: Move source from generated archive to git.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75146: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75146
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#75146] [PATCH v0 00/15] XFCE: Move source from generated archive to git.
From: 宋文武 <[email-masked]>
To: Ashvith Shetty <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Jan 2025 17:16:55 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Ashvith Shetty <[email-masked]> writes:

> Hello,
>
> On Mon, Dec 30, 2024 at 2:24 PM 宋文武 <[email-masked]> wrote:
>
>> I had sent updates via v3, which add autotools, automake, etc. to
>> propagated-inputs of xfce4-dev-tools to avoid add them to every
>> packages.  There are still many xfce packages remain to
>> be updated.  @Ashvith do you want to continue the work?  or I can
>> do them later..
>
> Actually, I still have a few commits left to submit, but they require
> some minor modifications, so I don't mind either way. I'll finish
> updating every XFCE panel plugin first, which would be faster for me.
> Would that be okay for you?

I had pushed v4 patches which update all xfce packages, close this issue
now, you can send updates as new issues.

Thank you!

Subject: [PATCH v0 00/15] XFCE: Move source from generated archive to git.
From: Ashvith Shetty <[email-masked]>
To: [email-masked]
Cc: Ashvith Shetty <[email-masked]>
Date: Sat, 28 Dec 2024 01:13:27 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series moves the source for XFCE applications and plugins 
from the pre-generated archive file to their git source for quality 
reasons (inconsistency between git and archive builds, 
missing files in generated archive, etc).

This patch series also removes gtk-xfce-engine, a long-abandoned package,
which had no dependant packages. Patch series also includes some applications 
and plugins updated to their newer versions.

Ashvith Shetty (15):
  gnu: gtk-xfce-engine: Remove variable.
  gnu: xfce4-dev-tools: Update variable fields.
  gnu: libxfce4util: Update variable fields.
  gnu: xfconf: Update variable fields.
  gnu: libxfce4ui: Update variable fields.
  gnu: libxfce4windowing: Update variable fields.
  gnu: catfish: Update to 4.20.0.
  gnu: elementary-xfce-icon-theme: Use new style.
  gnu: exo: Update variable fields.
  gnu: garcon: Update variable fields.
  gnu: tumbler: Update variable fields.
  gnu: xfce4-panel: Update variable fields.
  gnu: xfce4-battery-plugin: Update to 1.1.6.
  gnu: xfce4-clipman-plugin: Update to 1.6.7.
  gnu: xfce4-pulseaudio-plugin: Update variable fields.

 gnu/packages/xfce.scm | 735 +++++++++++++++++++++++-------------------
 1 file changed, 401 insertions(+), 334 deletions(-)

-- 
2.46.0